<br><div class="gmail_quote">2009/7/14 Knut St. Osmundsen <span dir="ltr">&lt;<a href="mailto:bird@sun.com">bird@sun.com</a>&gt;</span><br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
<div class="im">&gt;</div><div><div class="h5">
&gt; So I fixed this by doing what I usually do:<br>
&gt;<br>
&gt; kmk VBOX_DEF_MACOSX_VERSION_MIN=10.5<br>
&gt;<br>
<br>
</div></div>The above issue can also be solved by adding<br>
VBOX_MACOS_10_5_WORKAROUND=1 to the environment, kmk command line,<br>
or LocalConfig.kmk. </blockquote><div><br></div><div>That didn&#39;t work for me - it tries to build against the Mac OS 10.4 SDK, which doesn&#39;t work because VirtualBox&#39;s S3 code assumes a higher version of libcurl than is actually there (7.13.1). The configure script should prevent this, but it doesn&#39;t because it&#39;s not aware of the effect of VBOX_MACOS_10_5_WORKAROUND. (At least, that&#39;s my educated guess at what went wrong here.)</div>
<div><br></div><div>So anyway, for the record, here&#39;s how I got it to build on Mac OS 10.5.</div><div><br></div><div>1. Make the change I mentioned in my previous email.</div><div>2. Change</div><div><br></div><div>[ &quot;$OS&quot; != &quot;darwin&quot;  ] &amp;&amp; check_ssl</div>
<div><br></div><div>to just check_ssl</div><div><br></div><div>(obviously the comment on the previous line will now longer be true, so I deleted it.)</div><div><br></div><div>3. build with kmk VBOX_DEF_MACOSX_VERSION_MIN=10.5</div>
<div><br></div><div>Hope this is useful to someone, and thanks for your help!</div><div><br></div><div>-- </div><div>Robin</div></div>